import {
  Channel
} from "./chunk-DO72DWOL.js";
import {
  uuid
} from "./chunk-54BCGEKW.js";

// src/common/msg/channel-local.ts
var LocalChannel = class extends Channel {
  constructor() {
    super(...arguments);
    this.isConnected = true;
  }
  postMessage(data) {
    void this.other?.emit("message", {
      data,
      // : cloneObject(data),
      origin: "local",
      lastEventId: uuid()
    });
  }
};
function createLocalChannelPair() {
  const w1 = new LocalChannel();
  const w2 = new LocalChannel();
  w1.other = w2;
  w2.other = w1;
  return [w1, w2];
}

export {
  LocalChannel,
  createLocalChannelPair
};
//# sourceMappingURL=chunk-CSYN5J44.js.map